What happen at entmake mline

Discussion in 'AutoCAD' started by Adesu, Feb 17, 2005.

  1. Adesu

    Adesu Guest

    _$ (entmake
    (list '(0 . "MLINE")
    '(100 . "AcDbEntity")
    '(67 . 0)
    '(410 . "Model")
    '(8 . "0")
    '(100 . "AcDbMline")
    '(2 . "standard")
    '(40 . 5)
    '(70 . 0)
    '(71 . 1)
    '(72 . 2)
    '(73 . 2)
    '(10 5.0 5.0 0.0)
    '(210 0.0 0.0 1.0)
    '(11 0.0 0.0 0.0)
    '(12 1.0 0.0 0.0)
    '(13 1.77321e-016 1.0 0.0)
    '(74 . 2)
    '(41 . 0.0)
    '(41 . 0.0)
    '(75 . 0)
    '(74 . 2)
    '(41 . -1.0)
    '(41 . 0.0)
    '(75 . 0)
    '(11 25.0 5.0 0.0)
    '(12 1.0 0.0 0.0)
    '(13 1.77321e-016 1.0 0.0)
    '(74 . 2)
    '(41 . 0.0)
    '(41 . 0.0)
    '(75 . 0)
    '(74 . 2)
    '(41 . -1.0)
    '(41 . 0.0)
    '(75 . 0)
    )
    )
    ; error: Exception occurred: 0xC0000005 (Access Violation)
    ; warning: unwind skipped on exception
    ; error: Exception occurred: 0xC0000005 (Access Violation)
    ; error: Exception occurred: 0xC0000005 (Access Violation)
    ; error: Exception occurred: 0xC0000005 (Access Violation)
     
    Adesu, Feb 17, 2005
    #1
  2. Adesu

    BillZ Guest

    Adesu,
    Switch to ActiveX methods.

    ;---;
    (defun VxMline (/ *acad* *acaddoc* *mspace* MlinObj Pt PtLst sArray)
    ;---;
    (vl-load-com)
    (setq *acad* (vlax-get-acad-object)
    *acaddoc* (vla-get-activedocument *acad*)
    *mspace* (vla-get-modelspace *acaddoc*)
    )
    ;---;
    (setvar "blipmode" 1)
    (while (setq Pt (getpoint "\npick points then hit < enter >: "))
    (setq PtLst (cons Pt PtLst))
    )
    (setq PtLst (apply 'append PtLst))
    ;---;
    (setq sArray (vlax-safearray-fill
    (vlax-make-safearray vlax-vbDouble
    (cons 0 (1- (length PtLst)))
    )
    PtLst
    )
    )
    ;---;
    (setq MlinObj (vla-AddMline *mspace* sArray))
    ;---;
    )

    Just set the MLStyle you want to current first.

    Bill
     
    BillZ, Feb 17, 2005
    #2
  3. Adesu

    Adesu Guest

    Hi BillZ,thanks for input,but if we create mline by entmake not yet solve.
     
    Adesu, Feb 18, 2005
    #3
  4. Adesu

    BillZ Guest

    Hi BillZ,thanks for input,but if we create mline by entmake not yet solve.
    <<<
    Sorry if my answer wasn't what you wanted.

    Entmake errors usually occur when certain DXF information is not included in your list, i.e. (100 . "AcDbEntity").

    From what I'm hearing, entmake will only give you headaches down the road.
    Some DXF codes are being dropped from entity lists on some objects, as we speak.

    R2006+ could hold some hidden surprises not yet expected.


    Bill
     
    BillZ, Feb 18, 2005
    #4
  5. Adesu

    Adesu Guest

    Thanks a lot BillZ for your information,it's mean in r2006 (not yet launch
    ?),it could be create entmake ?

    in your list, i.e. (100 . "AcDbEntity").
     
    Adesu, Feb 21, 2005
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.